Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation.ast
Class AnnotationParser

    java.lang.Object
      org.jboss.aop.annotation.ast.AnnotationParser

All Implemented Interfaces:
  AnnotationParserConstants, AnnotationParserTreeConstants

public class AnnotationParser
extends Object
implements AnnotationParserTreeConstants, AnnotationParserConstants

Field Summary
`Token` | `jj_nt`
`protected org.jboss.aop.annotation.ast.JJTAnnotationParserState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`AnnotationParserTokenManager` | `token_source`

Fields inherited from interface org.jboss.aop.annotation.ast.AnnotationParserTreeConstants
`JJTANNOTATION, JJTCHAR, JJTIDENTIFIER, JJTMEMBERVALUEARRAYINITIALIZER, JJTMEMBERVALUEPAIR, JJTMEMBERVALUEPAIRS, jjtNodeName, JJTSINGLEMEMBERVALUE, JJTSTART, JJTSTRING, JJTVOID`

Fields inherited from interface org.jboss.aop.annotation.ast.AnnotationParserConstants
`CHARACTER, DEFAULT, EOF, IDENTIFIER, LETTER, STRING, tokenImage`

Constructor Summary
`AnnotationParser(AnnotationParserTokenManager tm)`
`AnnotationParser(InputStream stream)`
`AnnotationParser(Reader stream)`

Method Summary
`void` | `Annotation()`
`void` | `Char()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `Identifier()`
`void` | `MemberValue()`
`void` | `MemberValueArrayInitializer()`
`void` | `MemberValuePair()`
`void` | `MemberValuePairs()`
`void` | `ReInit(AnnotationParserTokenManager tm)`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(Reader stream)`
`void` | `SingleMemberValue()`
`ASTStart` | `Start()`
`void` | `String()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected org.jboss.aop.annotation.ast.JJTAnnotationParserState jjtree

### token_source

    public AnnotationParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### AnnotationParser

    public AnnotationParser(InputStream stream)

### AnnotationParser

    public AnnotationParser(Reader stream)

### AnnotationParser

    public AnnotationParser(AnnotationParserTokenManager tm)

Method Detail

### Start

    public final ASTStart Start()
                         throws ParseException

  Throws:
    `ParseException`

### Annotation

    public final void Annotation()
                          throws ParseException

  Throws:
    `ParseException`

### SingleMemberValue

    public final void SingleMemberValue()
                                 throws ParseException

  Throws:
    `ParseException`

### MemberValuePairs

    public final void MemberValuePairs()
                                throws ParseException

  Throws:
    `ParseException`

### MemberValuePair

    public final void MemberValuePair()
                               throws ParseException

  Throws:
    `ParseException`

### MemberValue

    public final void MemberValue()
                           throws ParseException

  Throws:
    `ParseException`

### MemberValueArrayInitializer

    public final void MemberValueArrayInitializer()
                                           throws ParseException

  Throws:
    `ParseException`

### Identifier

    public final void Identifier()
                          throws ParseException

  Throws:
    `ParseException`

### String

    public final void String()
                      throws ParseException

  Throws:
    `ParseException`

### Char

    public final void Char()
                    throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(AnnotationParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.